<?php
class Sesion{

	public function __construct(){
		if(!isset($_SESSION)){
			session_regenerate_id(true);
			session_cache_limiter(FALSE);
			session_set_cookie_params(10*60*60);
			session_start();
		}
	}

	public function iniciar($usuario,$contrasena){
		if(!isset($_SESSION["iniciada"]) || $_SESSION["iniciada"] == false){
			$usuAdm = new UAdmin();
			$usuAdm = $usuAdm->autenticarAdministrador($usuario,$contrasena);
			$usuEst = new UEstacionamiento();
			$usuEst = $usuEst->autenticarAdministrador($usuario,$contrasena);
			$_SESSION['usuario'] = (!empty($usuAdm['id']))?$usuAdm:$usuEst;
			// echo print_r($_SESSION['usuario'],true);
			if($_SESSION['usuario']){
				$_SESSION["iniciada"] = true;
				return true;
			}
		}
		unset($_SESSION['usuario']);
		return false;
	}

	public function verificar($privilegio){
		if(isset($_SESSION["iniciada"]) && $_SESSION["iniciada"] == true){
			$usu = new Usuario();
			return $usu->verificar($_SESSION['usuario']['id'],$_SESSION['usuario']['apodo'],$privilegio);
		}
		return false;
	}

	public function terminar(){
		if(isset($_SESSION)){
			unset($_SESSION);
			session_unset();
			session_destroy();
			return true;
		}
		return false;
	}

}
?>